Draft: Polilinea

From FreeCAD Documentation
Revision as of 20:15, 9 October 2021 by FuzzyBot (talk | contribs) (Updating to match new version of source page)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Pagina precedente: Draft Line.svg Linea
Pagina successiva: Raccordo Draft Fillet.svg Arrow-right.svg

Draft Wire.svg Polilinea

Posizione nel menu
Draft → Polilinea
Ambiente
Draft, Architettura
Avvio veloce
P L
Introdotto nella versione
0.7
Vedere anche
Linea, BSpline

Descrizione

Questo strumento crea una polilinea (una sequenza di segmenti) nel piano di lavoro corrente. La polilinea assume il tipo di linea e il colore impostati in precedenza nella barra di Draft. Lo strumento Polilinea si comporta come lo strumento Linea, con la differenza che consente di inserire più di due punti.

The corners of a Draft Wire can be filleted (rounded) or chamfered by changing its DatiFillet Radius or DatiChamfer Size respectively. It is also possible to subdivide the edges of a Draft Wire by changing its DatiSubdivisions property.

Draft Polyline example.jpg

Polilinea definita da più punti

Create

Utilizzo

See also: Draft Tray, Draft Snap and Draft Constrain.

  1. Premere il pulsante Draft Wire.svg Polilinea, o premere i tasti P e L.
  2. Selezionare il primo punto nella vista 3D, o digitare le coordinate e poi premere il pulsante Draft AddPoint.svg aggiungi punto.
  3. Selezionare un punto successivo nella vista 3D, o digitare le coordinate e poi premere il pulsante Draft AddPoint.svg aggiungi punto.
  4. Premere Esc o il pulsante Chiudi per completare l'editazione.

Opzioni

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

  • Premere il tasto A o il pulsante Draft FinishLine.svg Termina per finire la polilinea lasciandola aperta.
  • Premere il tasto O o il pulsante Draft CloseLine.svg Chiudi per chiudere la polilinea, prciò viene aggiunto un segmento dall'ultimo punto al primo per formare una faccia. Per formare una faccia sono necessari almeno tre punti.
  • Premere il tasto W o il pulsante Draft Wipe.svg Pulisci per rimuovere i segmenti di linea già posizionati, ma continuare a editare la polilinea dall'ultimo punto.
  • Premere il tasto U o il pulsante Draft SelectPlane.svg Imposta il piano per adattare il piano di lavoro corrente all'orientamento dell'ultimo punto.
  • Premere il tasto X, o Y o Z dopo un punto per vincolare il prossimo punto sull'asse dato.
  • Per inserire le coordinate manualmente, è sufficiente inserire i numeri, quindi premere Invio per ciascun componente X, Y e Z.. È possibile premere il pulsante Draft AddPoint.svg Inserisci punto quando si hanno i valori desiderati per inserire il punto.
  • Premere il tasto R oppure fare clic sulla casella di controllo per attivare la modalità "relativo". Se la modalità relativo è attiva, le coordinate del punto successivo sono relative all'ultimo; in caso contrario, sono assolute, prese dall'origine (0,0,0).
  • Premere il tasto T oppure fare clic sulla casella di controllo per attivare la modalità "continua". Se la modalità continua è attiva, lo strumento Polilinea si riavvia dopo aver terminato la polilinea in costruzione, e consente di disegnare una nuova polilinea senza premere nuovamente il pulsante dello strumento.
  • Premere il tasto L oppure fare clic sulla casella di controllo per attivare la modalità riempito. Se la modalità di riempimento è attiva, una polilinea chiusa crea una faccia piena (DatiMake Face true); in caso contrario, la polilinea chiusa non crea una faccia (DatiMake Face false).
Note: la polilinea non deve essere riempita se si autointerseca , perché in questo caso non crea una faccia corretta. Se la polilinea è piena ma non è visibile alcuna forma, impostare manualmente DatiMake Face su false per vedere la polilinea.
  • Tenere premuto Ctrl mentre si disegna per forzare l'aggancio del proprio punto alla posizione di aggancio più vicina, indipendentemente dalla distanza.
  • Tenere premuto Maiusc mentre si disegna per vincolare il prossimo punto in orizzontale o in verticale rispetto all'ultimo.
  • Premere i tasti Ctrl+Z o premere il pulsante Draft UndoLine.svg Undo per annullare l'ultimo punto.
  • Premere il tasto Esc o il pulsante Chiudi per interrompere il comando corrente; i segmenti di linea già posizionati rimamgono.

Join

Usage

  1. The end points of the Draft Lines and/or Draft Wires to be joined must be exactly coincident. If required first adjust points to ensure that this is the case.
  2. Select two or more Draft Lines and/or Draft Wires.
  3. There are several ways to invoke the command:
    • Press the Draft Wire.svg Draft Wire button.
    • Select the Drafting → Draft Wire.svg Polyline option from the menu.
    • Use the keyboard shortcut: P then L.

Notes

La polilinea può essere modificata facendo doppio clic sull'elemento nella vista ad albero o premendo il pulsante Draft Edit.svg Modifica. Quindi si può spostare i punti in una nuova posizione o fare clic su Draft AddPoint.svg aggiungi punto o Draft DelPoint.svg rimuovi punto e quindi fare clic sul wire per aggiungere o rimuovere punti.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • To change the initial value of filled mode: Edit → Preferences... → Draft → General settings → Draft tools options → Fill objects with faces whenever possible. Changing the filled mode in a task panel will override this preference for the current FreeCAD session.

Properties

See also: Property editor.

A Draft Wire object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Data

Draft

Dati

  • DatiStart: specifica il primo punto nel filo.
  • DatiEnd: specifica l'ultimo punto nel filo, senza contare il punto iniziale se il filo è chiuso.
  • DatiClosed: specifica se il filo è chiuso o meno. Se il filo è inizialmente aperto, questo valore è false; impostandolo su true disegna un segmento di linea per chiudere il filo. Se il filo è inizialmente chiuso, questo valore è true; impostandolo su false si rimuove l'ultimo segmento di linea e si apre il filo.
  • DatiChamfer Size: specifica la dimensione degli smussi (segmenti retti) creati agli angoli del filo.
  • DatiFillet Radius: specifica il raggio dei raccordi (segmenti di arco) creati agli angoli del filo.
  • DatiMake Face: specifica se il filo crea una faccia o no. Se è true viene creata una faccia, altrimenti solo i bordi sono considerati parte dell'oggetto. Questa proprietà funziona solo se DatiClosed è true.
Note: non impostare DatiMake Face su true se il filo si interseca, poiché non crea una faccia corretta.
  • DatiSubdivisions: specifica il numero di nodi interni in ciascun segmento del filo. Disponibile dalla versione 0.16
  • DatiLength: (sola lettura) specifica la lunghezza dell'intero filo.

View

Draft

Vista

  • VistaEnd Arrow: se è true viene visualizzato un simbolo all'ultimo punto del wire, quindi può essere usato come una linea di annotazione.
  • VistaArrow Size: specifica la dimensione del simbolo visualizzato alla fine del wire.
  • VistaArrow Type: specifica il tipo di simbolo visualizzato alla fine del filo, che può essere "Dot", "Circle", "Arrow", o "Tick".
  • VistaPattern: specifica un tipo di Campitura con cui riempire la faccia del filo chiuso. Questa proprietà funziona solo se DatiMake Face è true, e se VistaDisplay Mode è "Flat Lines".
  • VistaPattern Size: specifica la dimensione della Campitura.

Script

Lo strumento DWire può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

wire = make_wire(pointslist, closed=False, placement=None, face=None, support=None)
wire = make_wire(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Crea un oggetto Wire con l'elenco di punti indicato, pointslist.
    • Ogni punto nella lista è definito dal suo FreeCAD.Vector, con unità in millimetri.
    • In alternativa, l'input può essere una Part.Wire, da cui vengono estratti i punti.
  • Se closed è True, o se il primo e l'ultimo punto coincidono, la polilinea è chiusa.
  • Se viene dato un placement esso viene usato; altrimenti la forma viene creata nell'origine.
  • Se face è True e la polilinea è chiusa, diventa una faccia e appare riempita.

Esempio:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)

wire1 = Draft.make_wire([p1, p2, p3], closed=True)
wire2 = Draft.make_wire([p1, 2*p3, 1.3*p2], closed=True)
wire3 = Draft.make_wire([1.3*p3, p1, -1.7*p2], closed=True)

doc.recompute()


Arrow-left.svg Pagina precedente: Draft Line.svg Linea
Pagina successiva: Raccordo Draft Fillet.svg Arrow-right.svg